Package org.jdesktop.application

# Class ResourceConverter.ResourceConverterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.jdesktop.application.ResourceConverter.ResourceConverterException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ResourceConverter`

public static class ResourceConverter.ResourceConverterException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ResourceConverterException(String message, String badString)`
`ResourceConverterException(String message, String badString, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResourceConverterException

public ResourceConverterException(String message, String badString, Throwable cause)

### ResourceConverterException

public ResourceConverterException(String message, String badString)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Throwable`